rb_binding_t Struct Reference

`#include <vm_core.h>`

## Data Fields

VALUE | env
VALUE | filename
unsigned short | line_no

## Detailed Description

Definition at line 549 of file vm_core.h.

## Field Documentation

VALUE rb_binding_t::env

Definition at line 550 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), process_options(), rb_binding_new(), and vm_set_main_stack().

VALUE rb_binding_t::filename

Definition at line 551 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), and rb_binding_new().

unsigned short rb_binding_t::line_no

Definition at line 552 of file vm_core.h.

Referenced by binding_dup(), eval_string_with_cref(), proc_binding(), and rb_binding_new().

The documentation for this struct was generated from the following file:

- vm_core.h